> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar perfil SII de empresa por RUT

> Operacion: Buscar perfil SII de empresa por RUT.



## OpenAPI

````yaml /generated/specs/finance.json get /api/v1/sii-company/by-rut/{rut}
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/sii-company/by-rut/{rut}:
    get:
      tags:
        - SII Company
      summary: Buscar perfil SII de empresa por RUT
      description: 'Operacion: Buscar perfil SII de empresa por RUT.'
      operationId: SiiCompanyController_findByRut
      parameters:
        - name: rut
          required: true
          in: path
          description: RUT en cualquier formato
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiiCompanyProfileWrapperResponseDto'
        '404':
          description: Empresa no encontrada en SII
      security:
        - bearerAuth: []
components:
  schemas:
    SiiCompanyProfileWrapperResponseDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SiiCompanyProfileResponseDto'
      required:
        - data
    SiiCompanyProfileResponseDto:
      type: object
      properties:
        rut:
          type: string
        dv:
          type: string
        rut_formatted:
          type: string
        razon_social:
          type: object
          nullable: true
        anio_comercial:
          type: object
          nullable: true
        tramo_ventas:
          type: object
          nullable: true
        numero_trabajadores_dependientes:
          type: object
          nullable: true
        fecha_inicio_actividades_vigente:
          type: object
          nullable: true
        fecha_termino_giro:
          type: object
          nullable: true
        fecha_primera_inscripcion_actividades:
          type: object
          nullable: true
        tipo_termino_giro:
          type: object
          nullable: true
        tipo_contribuyente:
          type: object
          nullable: true
        subtipo_contribuyente:
          type: object
          nullable: true
        cod_subtipo:
          type: object
          nullable: true
        subtipo_catalogo:
          type: object
          nullable: true
        tipo_catalogo:
          type: object
          nullable: true
        tramo_capital_propio_positivo:
          type: object
          nullable: true
        tramo_capital_propio_negativo:
          type: object
          nullable: true
        rubro_economico:
          type: object
          nullable: true
        subrubro_economico:
          type: object
          nullable: true
        actividad_economica:
          type: object
          nullable: true
        actividad_principal_codigo:
          type: object
          nullable: true
        actividad_principal_nombre:
          type: object
          nullable: true
        region:
          type: object
          nullable: true
        provincia:
          type: object
          nullable: true
        comuna:
          type: object
          nullable: true
        r_presunta:
          type: object
          nullable: true
        otros_regimenes:
          type: object
          nullable: true
        actividades:
          type: array
          items:
            $ref: '#/components/schemas/SiiCompanyActivityResponseDto'
        domicilios:
          type: array
          items:
            $ref: '#/components/schemas/SiiCompanyAddressResponseDto'
        sucursales:
          type: array
          items:
            $ref: '#/components/schemas/SiiCompanyAddressResponseDto'
      required:
        - rut
        - dv
        - rut_formatted
        - actividades
        - domicilios
        - sucursales
    SiiCompanyActivityResponseDto:
      type: object
      properties:
        codigo_actividad:
          type: string
        descripcion_actividad_economica:
          type: object
          nullable: true
        fecha:
          type: object
          nullable: true
        afecta_iva:
          type: object
          nullable: true
        categoria_tributaria:
          type: object
          nullable: true
        es_principal:
          type: boolean
      required:
        - codigo_actividad
        - es_principal
    SiiCompanyAddressResponseDto:
      type: object
      properties:
        tipo_direccion:
          type: string
        vigencia:
          type: object
          nullable: true
        fecha:
          type: object
          nullable: true
        calle:
          type: object
          nullable: true
        numero:
          type: object
          nullable: true
        bloque:
          type: object
          nullable: true
        departamento:
          type: object
          nullable: true
        villa_poblacion:
          type: object
          nullable: true
        ciudad:
          type: object
          nullable: true
        comuna:
          type: object
          nullable: true
        region:
          type: object
          nullable: true
      required:
        - tipo_direccion
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.